{"info":{"title":"Tradeshift External API","version":"1.0.0"},"openapi":"3.0.0","paths":{"/rest/external/accesslist/operation/{operationId}/type/{typeId}/object/{objectId}":{"parameters":[{"name":"operationId","in":"path","required":true,"schema":{"type":"integer"},"description":"Operation id to be checked"},{"name":"typeId","in":"path","required":true,"schema":{"type":"integer"},"description":"Object's type"},{"name":"objectId","in":"path","required":true,"schema":{"type":"string"},"description":"Object id to be checked. \nCould be any type of objects Tradeshift supports (e.g. documentId, dispatchId, conversationId etc.)\n"}],"get":{"responses":{"204":{"description":"User has access to the provided details"},"401":{"description":"User do not have access to the provided details","content":{"application/json":{"example":{"ErrorCode":"Unauthorized","Message":"The user was not authorized to perform the operation&#x3a; 37617bf8&#x2d;4e04&#x2d;41f2&#x2d;bd27&#x2d;9ad9153419ee&#x2f;Operation&#x28;id&#x3d;15&#x2c; name&#x3d;ADMIN&#x5f;ID&#x29; on 35dea17e&#x2d;fdd7&#x2d;46d9&#x2d;88c8&#x2d;c5c632ebf92b","ErrorDetail":[{"Key":"userUuid","Value":"37617bf8-4e04-41f2-bd27-9ad9153419ee"},{"Key":"securityGroupUuid","Value":"35dea17e-fdd7-46d9-88c8-c5c632ebf92b"},{"Key":"operationId","Value":"15"},{"Key":"operationName","Value":"ADMIN_ID"},{"Key":"stacktrace","Value":""}],"ValidationError":[],"RequestId":"92463020-1aa1-48c6-b87f-ad8b97d0599e"},"schema":{"title":"Tradeshift Public API 1.0 - TradeshiftException","required":["ErrorCode","Message","RequestId"],"type":"object","additionalProperties":false,"properties":{"ErrorCode":{"type":"string"},"Message":{"type":"string"},"ErrorDetail":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"Key":{"type":"string"},"Value":{"type":"string"}},"required":["Key","Value"]}},"ValidationError":{"type":"array","items":{"type":"object"}},"RequestId":{"pattern":"^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$","description":"String representation of an Universally unique identifier (UUID), version 5. See RFC 4122","type":"string"}}}}}}},"description":"Check if an user identified by the tenantId and actorId is able to access the objectId of the type typeId.\nThe operation provided should exist through the list of allowed operations for the role assigned to the user.\nThe result takes into consideration also the DocumentAccess settings, if the app is enabled.\n","operationId":"get-rest-external-accesslist-operation-operationid-type-typeid-object-objectid","parameters":[],"x-annotation-dx-category":"accounts-company","summary":"Check authorization","tags":["dx-category--accounts-company"]}},"/rest/external/account":{"get":{"responses":{"200":{"description":"Details about the current company account","content":{"application/json":{"example":{"CompanyName":"ELTEC Inc. mkxezemhuirw","Country":"US","CompanyAccountId":"16e61501-2e6a-42ae-9bb3-67d1c1468056","State":"ACTIVE","Identifiers":[{"scheme":"TS:VAT","value":"eltec.mkxezemhuirw"}],"AddressLines":[],"RegistrationAddressLines":[],"AcceptingDocumentProfiles":[],"LookingFor":[],"Offering":[],"PublicProfile":false,"NonuserInvoicing":false,"AutoAcceptConnections":false,"Restricted":true,"Created":"2017-12-12T14:07:43.945Z","Modified":"2017-12-12T14:07:44.342Z","AccountType":"FREE"},"schema":{"type":"object","properties":{"CompanyName":{"title":"The Companyname Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"},"Country":{"title":"The Country Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"},"CompanyAccountId":{"title":"The Companyaccountid Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"},"State":{"title":"The State Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"},"Identifiers":{"type":"array","items":{"type":"object","properties":{"scheme":{"title":"The Scheme Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"},"value":{"title":"The Value Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"}},"required":["scheme","value"]}},"AddressLines":{"type":"array","items":{"title":"Empty Object","description":"This accepts anything, as long as it's valid JSON.","type":"string"}},"AcceptingDocumentProfiles":{"type":"array","items":{"title":"Empty Object","description":"This accepts anything, as long as it's valid JSON.","type":"string"}},"LookingFor":{"type":"array","items":{"title":"Empty Object","description":"This accepts anything, as long as it's valid JSON.","type":"string"}},"Offering":{"type":"array","items":{"title":"Empty Object","description":"This accepts anything, as long as it's valid JSON.","type":"string"}},"PublicProfile":{"title":"The Publicprofile Schema.","default":false,"description":"An explanation about the purpose of this instance.","type":"boolean"},"NonuserInvoicing":{"title":"The Nonuserinvoicing Schema.","default":false,"description":"An explanation about the purpose of this instance.","type":"boolean"},"AutoAcceptConnections":{"title":"The Autoacceptconnections Schema.","default":false,"description":"An explanation about the purpose of this instance.","type":"boolean"},"Restricted":{"title":"The Restricted Schema.","default":false,"description":"An explanation about the purpose of this instance.","type":"boolean"},"Created":{"title":"The Created Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"},"Modified":{"title":"The Modified Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"},"AccountType":{"title":"The Accounttype Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"},"LastActive":{"title":"Last Active timestamp","default":"","description":"Timestamp of the last activity of the account","type":"string"}},"required":["CompanyName","Country","CompanyAccountId","State","Identifiers","AddressLines","AcceptingDocumentProfiles","LookingFor","Offering","PublicProfile","NonuserInvoicing","AutoAcceptConnections","Restricted","Created","Modified","AccountType","LastActive"]}}}}},"description":"Get information about the company account that is currently being accessed.","operationId":"get-rest-external-account","x-annotation-dx-category":"accounts-company","summary":"get account info","tags":["dx-category--accounts-company"]},"put":{"responses":{"204":{"description":"Update company information for the current company account."},"400":{"description":"Invalid company name, company account id or identifier"}},"description":"Update company information for the current company account. Properties will not be changed using this resource.","operationId":"put-rest-external-account","requestBody":{"content":{"text/xml":{"example":"<CompanyAccountInfo xmlns=\"http://tradeshift.com/api/public/1.0\">\n    <CompanyName>${companyName}</CompanyName>\n    <Country>US</Country>\n    <CompanyAccountId>813a3b75-a926-4e82-bd2b-a283b3b4bc6a</CompanyAccountId>\n    <State>ACTIVE</State>\n    <Identifiers>\n        <Identifier scheme=\"TS:ID\">96d47166-0abd-41c7-aae3-661ab060cb6b</Identifier>\n    </Identifiers>\n    <AddressLines>\n        <AddressLine scheme=\"buildingnumber\">1</AddressLine>\n        <AddressLine scheme=\"city\">San Francisco</AddressLine>\n        <AddressLine scheme=\"state\">CA</AddressLine>\n        <AddressLine scheme=\"street\">test8 street</AddressLine>\n        <AddressLine scheme=\"zip\">94116</AddressLine>\n    </AddressLines>\n    <RegistrationAddressLines>\n        <RegistrationAddressLine scheme=\"buildingnumber\">Registration Building</RegistrationAddressLine>\n        <RegistrationAddressLine scheme=\"city\">Registration City</RegistrationAddressLine>\n        <RegistrationAddressLine scheme=\"state\">Registration State</RegistrationAddressLine>\n        <RegistrationAddressLine scheme=\"street\">Registration Street</RegistrationAddressLine>\n        <RegistrationAddressLine scheme=\"zip\">Registration Zip</RegistrationAddressLine>\n    </RegistrationAddressLines>\n    <AcceptingDocumentProfiles/>\n    <LookingFor/>\n    <Offering/>\n    <PublicProfile>false</PublicProfile>\n    <NonuserInvoicing>false</NonuserInvoicing>\n    <AutoAcceptConnections>false</AutoAcceptConnections>\n    <Restricted>true</Restricted>\n    <Created>2017-02-27T16:15:31.059-08:00</Created>\n    <Modified>2017-03-05T18:36:48.811-08:00</Modified>\n    <AccountType>FREE</AccountType>\n</CompanyAccountInfo>","schema":{"type":"object"}}},"required":true},"x-annotation-dx-category":"accounts-company","summary":"update account info","tags":["dx-category--accounts-company"]}},"/rest/external/account/branches":{"get":{"responses":{"200":{"description":"","content":{"application/json":{"schema":{"example":{"numPages":"0","pageId":"0","itemsPerPage":"0","itemCount":"0","CompanyAccount":[]}}}}}},"description":"Get listing of branches for the current company account, if any.","operationId":"get-rest-external-account-branches","x-annotation-dx-category":"accounts-branches","summary":"get branches","tags":["dx-category--accounts-branches"]}},"/rest/external/account/branches/new":{"put":{"responses":{"204":{"description":"Created a new company account and optionally user."},"400":{"description":"The tenant identifier proposed does already exist on the platform and no tenant nor user was created.\n"}},"description":"Creates a company account as the child of the current account using the provided data in the body of the PUT call. The branch will automatically be activated and no activation email will be sent to any branch users attached to the create request. The identifier(s) must not already exist.\n","operationId":"put-rest-external-account-branches-new","requestBody":{"content":{"application/json":{"example":{"User":{"Id":"0daab548-3990-41ed-b0f4-eb197e693df1","Person":{"Email":"steve.armstrong@example.org"},"ReturnUrl":"https://go.tradeshift.com","Language":"en-us","TimeZone":"GMT","Visible":true},"CompanyAccount":{"Company":{"CompanyName":"Example Inc.","Country":"US","Identifier":[{"scheme":"TS:ID","value":"f54bca78-3ac9-4843-ae4a-f6808c0ea477"}]}},"ParentCompanyAccountId":"e3e1e302-ea34-416c-8236-248295ef7a8c"},"schema":{"title":"Tradeshift public API 1.0 - CreateBranchAccountRequest","required":["User","CompanyAccount","ParentCompanyAccountId"],"type":"object","additionalProperties":false,"properties":{"User":{"type":"object","properties":{"Id":{"pattern":"^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$","description":"String representation of an Universally unique identifier (UUID), version 5. See RFC 4122","type":"string"}},"required":["Id"]},"CompanyAccount":{"type":"object","properties":{"Company":{"type":"object"}},"required":["Company"]},"From":{"type":"string"},"SendActivationEmail":{"type":"boolean"},"ParentCompanyAccountId":{"pattern":"^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$","description":"String representation of an Universally unique identifier (UUID), version 5. See RFC 4122","type":"string"},"Properties":{"type":"object","properties":{"termsandconditions":{"type":"string"}},"required":["termsandconditions"]}}}}},"required":true},"x-annotation-dx-category":"accounts-branches","summary":"create branch","tags":["dx-category--accounts-branches"]}},"/rest/external/account/branches/{companyId}":{"parameters":[{"name":"companyId","in":"path","required":true,"schema":{"type":"string"},"description":"UUID identifier of company account."}],"get":{"responses":{"200":{"description":"","content":{"application/json":{"schema":{"example":{"Id":"58a5b768-08be-48ec-a06d-6874fde8cf46","State":"CREATED","Company":{"CompanyName":null,"Country":null,"Created":null,"Modified":null,"Identifier":null,"AddressLine":null,"Phone":null,"Fax":null,"LegalCompanyStructure":null,"AddressAvailable":null,"RegistrationAddress":null},"Url":"str","Description":"str","ShortUrl":"str","PublicProfile":"false","NonuserInvoicing":"false","AutoAcceptConnections":"false","Restricted":"false","Property":null,"Offering":null,"LookingFor":null,"Industry":"ACADEMIA","OtherIndustry":"str","OwnershipType":"SOLE","Size":"ONE","NumConnections":"0","PrimaryBankAccount":{"channelCode":"str","branchId":"str","paymentNote":"str","institutionId":"str","institutionName":"str","branchName":"str","value":"str","beneficiaryName":"str","beneficiaryBankAddress":"str","accountTypeCode":"str"},"AccountType":"FREE","RegisteredGLI":[]}}}}},"404":{"description":"Specific branch isn't found or isn't a branch of the current parent."}},"description":"Get specific branch for the current parent","operationId":"get-rest-external-account-branches-companyid","x-annotation-dx-category":"accounts-branches","summary":"get branch","tags":["dx-category--accounts-branches"]}},"/rest/external/account/info":{"get":{"responses":{"200":{"description":"","content":{"application/json":{"schema":{"example":{"CompanyName":"str","Country":"str","CompanyAccountId":"58a5b768-08be-48ec-a06d-6874fde8cf46","State":"CREATED","Url":"str","Description":"str","Identifiers":[],"AddressLines":[],"AcceptingDocumentProfiles":[],"Properties":[],"LookingFor":null,"Offering":null,"LogoURL":"str","BackgroundURL":"str","PublicProfile":"false","NonuserInvoicing":"false","AutoAcceptConnections":"false","Restricted":"false","NumConnections":"0","Industry":"ACADEMIA","OtherIndustry":"str","OwnershipType":"SOLE","Size":"ONE","Created":"2013-07-23T07:35:16.000Z","Modified":"2013-07-23T07:35:16.000Z","Phone":"str","Fax":"str","ShortUrl":"str","AccountType":"FREE","LastActive":"2013-07-23T07:35:16.000Z"}}}}}},"description":"Returns information about the company account that is currently being accessed.","operationId":"get-rest-external-account-info","x-annotation-dx-category":"accounts-company","summary":"get account info","tags":["dx-category--accounts-company"]},"put":{"responses":{"204":{"description":""}},"description":"Update company information for the current company account. Properties will not be changed using this resource.","operationId":"put-rest-external-account-info","requestBody":{"content":{"application/json":{"example":{"CompanyName":"str","Country":"str","CompanyAccountId":"58a5b768-08be-48ec-a06d-6874fde8cf46","State":"CREATED","Url":"str","Description":"str","Identifiers":[],"AddressLines":[],"AcceptingDocumentProfiles":[],"Properties":[],"LookingFor":null,"Offering":null,"LogoURL":"str","BackgroundURL":"str","PublicProfile":"false","NonuserInvoicing":"false","AutoAcceptConnections":"false","Restricted":"false","NumConnections":"0","Industry":"ACADEMIA","OtherIndustry":"str","OwnershipType":"SOLE","Size":"ONE","Created":"2013-07-23T07:35:16.000Z","Modified":"2013-07-23T07:35:16.000Z","Phone":"str","Fax":"str","ShortUrl":"str","AccountType":"FREE","LastActive":"2013-07-23T07:35:16.000Z"},"schema":{"type":"string"}}},"required":true},"x-annotation-dx-category":"accounts-company","summary":"update account info","tags":["dx-category--accounts-company"]}},"/rest/external/account/info/user":{"get":{"responses":{"200":{"description":"","content":{"application/json":{"example":{"Id":"413a8273-d83d-42e0-9942-c6959505079c","CompanyName":"ELTEC Inc. mfbqdqmyyyep","Username":"steve.armstrong@mfbqdqmyyyep.eltec.test.ts.sv","Language":"en-us","TimeZone":"America/Los_Angeles","Memberships":[{"UserId":"ff028804-9fc4-4894-ad03-3b27dcd5458c","GroupId":"7066241f-e414-493d-acae-a3f98f0432cc","Role":"a6a3edcd-00d9-427c-bf03-4ef0112ba16d"}],"Created":"2017-12-12T14:26:02.339Z","State":"ACTIVE","Type":"PERSON","FirstName":"Steve","LastName":"Armstrong","Visible":true},"schema":{"title":"Tradeshift Public API 1.0 - UserAccountList","type":"object","properties":{"Id":{"title":"The Id Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"},"CompanyName":{"title":"The Companyname Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"},"Username":{"title":"The Username Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"},"Language":{"title":"The Language Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"},"TimeZone":{"title":"The Timezone Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"},"Memberships":{"type":"array","items":{"type":"object","properties":{"UserId":{"title":"The Userid Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"},"GroupId":{"title":"The Groupid Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"},"Role":{"title":"The Role Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"}},"required":["UserId","GroupId","Role"]}},"Created":{"title":"The Created Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"},"State":{"title":"The State Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"},"Type":{"title":"The Type Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"},"FirstName":{"title":"The Firstname Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"},"LastName":{"title":"The Lastname Schema.","default":"","description":"An explanation about the purpose of this instance.","type":"string"},"Visible":{"title":"The Visible Schema.","default":false,"description":"An explanation about the purpose of this instance.","type":"boolean"}},"required":["Id","CompanyName","Username","Language","TimeZone","Memberships","Created","State","Type","FirstName","LastName","Visible"]}}}}},"description":"Returns information about the user account currently accessing the system. Be aware that under normal circumstances, this will be a special app user, not the user who has installed an app.","operationId":"get-rest-external-account-info-user","x-annotation-dx-category":"users-accounts","summary":"get user info","tags":["dx-category--users-accounts"]}},"/rest/external/account/members/{userId}":{"parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"},"description":"UUID identifier of user account."}],"delete":{"responses":{"204":{"description":""}},"description":"Remove a member from the current company account. Users who belong to the account (have the account's CompanyAccountId) cannot be removed.","operationId":"delete-rest-external-account-members-userid","x-annotation-dx-category":"users-memberships","summary":"remove user","tags":["dx-category--users-memberships"]}},"/rest/external/account/parent":{"get":{"responses":{"200":{"description":"","content":{"application/json":{"schema":{"example":{"CompanyName":"str","Country":"str","CompanyAccountId":"58a5b768-08be-48ec-a06d-6874fde8cf46","State":"CREATED","Url":"str","Description":"str","Identifiers":[],"AddressLines":[],"AcceptingDocumentProfiles":[],"Properties":[],"LookingFor":null,"Offering":null,"LogoURL":"str","BackgroundURL":"str","PublicProfile":"false","NonuserInvoicing":"false","AutoAcceptConnections":"false","Restricted":"false","NumConnections":"0","Industry":"ACADEMIA","OtherIndustry":"str","OwnershipType":"SOLE","Size":"ONE","Created":"2013-07-23T07:35:16.000Z","Modified":"2013-07-23T07:35:16.000Z","Phone":"str","Fax":"str","ShortUrl":"str","AccountType":"FREE","LastActive":"2013-07-23T07:35:16.000Z"}}}}},"404":{"description":""}},"description":"Returns information about the parent account of the current account (the parent is the account of which the current account is a branch).","operationId":"get-rest-external-account-parent","x-annotation-dx-category":"accounts-branches","summary":"get parent","tags":["dx-category--accounts-branches"]}},"/rest/external/account/public/users":{"get":{"responses":{"200":{"description":"","content":{"application/json":{"schema":{"example":{"itemsPerPage":25,"itemCount":1,"numPages":1,"pageId":0,"UserAccounts":[{"Id":"e7eb4520-34f6-48c3-8982-024366454ba4","CompanyAccountId":"b289b086-c96f-4b09-a0e9-300631948601","CompanyName":"ELTEC Inc. jvuvlsxwdzlh","Username":"steve.armstrong@jvuvlsxwdzlh.eltec.test.ts.sv","Language":"en-us","TimeZone":"America/Los_Angeles","Memberships":[{"UserId":"e7eb4520-34f6-48c3-8982-024366454ba4","GroupId":"b289b086-c96f-4b09-a0e9-300631948601","Role":"a6a3edcd-00d9-427c-bf03-4ef0112ba16d"}],"Created":"2017-04-04T10:58:54.585+02:00","State":"ACTIVE","Type":"PERSON","FirstName":"Steve","LastName":"Armstrong","Visible":true}],"PrimaryUser":"e7eb4520-34f6-48c3-8982-024366454ba4"}}}}},"404":{"description":""}},"description":"Searches visible users in all companies (not only the current account) for the query string.","operationId":"get-rest-external-account-public-users","parameters":[{"name":"q","in":"query","required":true,"description":"User to search for","schema":{"type":"string"}},{"name":"limit","in":"query","required":true,"description":"Page size per query","schema":{"default":10,"type":"integer"}},{"name":"page","in":"query","description":"Page number of the query","schema":{"default":0,"type":"integer"}}],"x-annotation-dx-category":"users-accounts","summary":"find public users","tags":["dx-category--users-accounts"]}},"/rest/external/account/taxes":{"get":{"responses":{"200":{"description":"","content":{"application/json":{"schema":{"example":{"StackedTaxes":[],"DefaultTaxIndex":"0"}}}}},"404":{"description":""}},"description":"Get tax categories. Lists the company taxes for the requesting context, if connectionID is specified it will also include the default tax from the connection properties.","operationId":"get-rest-external-account-taxes","parameters":[{"name":"connectionID","in":"query","required":true,"description":"Connection to get tax categories for.","schema":{"type":"string"}}],"x-annotation-dx-category":"accounts-taxes","summary":"get taxes","tags":["dx-category--accounts-taxes"]},"put":{"responses":{"204":{"description":""},"404":{"description":""}},"description":"Update tax categories.","operationId":"put-rest-external-account-taxes","x-annotation-dx-category":"accounts-taxes","summary":"update taxes","tags":["dx-category--accounts-taxes"]}},"/rest/external/account/users":{"get":{"responses":{"200":{"description":"","content":{"application/json":{"schema":{"example":{"itemsPerPage":25,"itemCount":1,"numPages":1,"pageId":0,"UserAccounts":[{"Id":"e7eb4520-34f6-48c3-8982-024366454ba4","CompanyAccountId":"b289b086-c96f-4b09-a0e9-300631948601","CompanyName":"ELTEC Inc. jvuvlsxwdzlh","Username":"steve.armstrong@jvuvlsxwdzlh.eltec.test.ts.sv","Language":"en-us","TimeZone":"America/Los_Angeles","Memberships":[{"UserId":"e7eb4520-34f6-48c3-8982-024366454ba4","GroupId":"b289b086-c96f-4b09-a0e9-300631948601","Role":"a6a3edcd-00d9-427c-bf03-4ef0112ba16d"}],"Created":"2017-04-04T10:58:54.585+02:00","State":"ACTIVE","Type":"PERSON","FirstName":"Steve","LastName":"Armstrong","Visible":true}],"PrimaryUser":"e7eb4520-34f6-48c3-8982-024366454ba4"}}}}},"404":{"description":""}},"description":"Get a list of users associated with the current account.","operationId":"get-rest-external-account-users","parameters":[{"name":"visible","in":"query","required":true,"description":"If true, only display users that are visible to everybody in a network.","schema":{"default":true,"type":"boolean"}},{"name":"limit","in":"query","required":true,"description":"Page size per query","schema":{"default":25,"type":"integer"}},{"name":"page","in":"query","description":"Page number of the query","schema":{"default":0,"type":"integer"}}],"x-annotation-dx-category":"users-accounts","summary":"get users","tags":["dx-category--users-accounts"]}},"/rest/external/account/users/byemail/{email}":{"parameters":[{"name":"email","in":"path","required":true,"schema":{"type":"string"},"description":"Email of user being requested"}],"get":{"responses":{"200":{"description":"","content":{"application/json":{"schema":{"example":{"Id":"bc537c59-6c8c-49d0-bc24-14b6d676b106","Person":{"Created":"2016-09-27T10:49:45.739+02:00","FirstName":"Dwight","LastName":"Schrute","Email":"dwight.schrute@dundermifflin.com"},"CompanyAccountId":"87b14576-04f6-480c-a4fd-8f692dd89fa8","UserName":"dwight.schrute@dundermifflin.com","Credentials":[],"State":"ACTIVE","Language":"en-us","Kind":"PERSON","TimeZone":"America/New_York","Visible":false,"OverridingCompanyAccountId":"87b14576-04f6-480c-a4fd-8f692dd89fa8"}}}}},"404":{"description":""}},"description":"Find if a user exists inside a company. Case insensitive.","operationId":"get-rest-external-account-users-byemail-email","parameters":[{"name":"searchparent","in":"query","description":"If true, search parent account as well.","schema":{"default":false,"type":"boolean"}},{"name":"searchlocked","in":"query","description":"If true, search locked account as well.","schema":{"default":true,"type":"boolean"}}],"x-annotation-dx-category":"users-accounts","summary":"get user by email","tags":["dx-category--users-accounts"]}},"/rest/external/account/users/{userId}":{"parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"},"description":"UUID identifier of user account."}],"get":{"responses":{"200":{"description":"","content":{"text/xml":{"example":"<UserAccountInfo xmlns=\"http://tradeshift.com/api/public/1.0\">\n    <Id>69c772e7-b177-4621-8bb0-c1b3768adcd5</Id>\n    <CompanyAccountId>f54bca78-3ac9-4843-ae4a-f6808c0ea477</CompanyAccountId>\n    <CompanyName>ELTEC Inc.</CompanyName>\n    <Username>steve.armstrong@example.com</Username>\n    <Language>en-us</Language>\n    <TimeZone>America/Los_Angeles</TimeZone>\n    <Memberships>\n        <Membership>\n            <UserId>69c772e7-b177-4621-8bb0-c1b3768adcd5</UserId>\n            <GroupId>cfacdb6c-abef-46bd-9283-098387ac9e03</GroupId>\n            <Role>a6a3edcd-00d9-427c-bf03-4ef0112ba16d</Role>\n        </Membership>\n    </Memberships>\n    <Created>2017-05-08T13:24:36.710+02:00</Created>\n    <State>ACTIVE</State>\n    <Type>PERSON</Type>\n    <FirstName>Steve</FirstName>\n    <LastName>Armstrong</LastName>\n    <Visible>true</Visible>\n</UserAccountInfo>\n","schema":{"type":"object"}}}}},"description":"Gets account information to requested user. Sensitive info is disclosed within the same company or between companies that are mutually connected.","operationId":"get-rest-external-account-users-userid","x-annotation-dx-category":"users-accounts","summary":"get user by id","tags":["dx-category--users-accounts"]},"put":{"responses":{"204":{"description":"The user was updated/created successfully."},"404":{"description":""}},"description":"Create or update a user inside the current company account","operationId":"put-rest-external-account-users-userid","requestBody":{"content":{"application/json":{"example":{"Id":"413a8273-d83d-42e0-9942-c6959505079c","CompanyAccountId":"513a8273-d83d-42e0-9942-c6959505079a","CompanyName":"ELTEC Inc. mfbqdqmyyyep","Username":"steve.armstrong@mfbqdqmyyyep.eltec.test.ts.sv","Language":"en-us","TimeZone":"America/Los_Angeles","Memberships":[{"UserId":"ff028804-9fc4-4894-ad03-3b27dcd5458c","GroupId":"7066241f-e414-493d-acae-a3f98f0432cc","Role":"a6a3edcd-00d9-427c-bf03-4ef0112ba16d"}],"Created":"2017-12-12T14:26:02.339Z","State":"ACTIVE","Type":"PERSON","FirstName":"Steve","LastName":"Armstrong","Title":"Mr.","PictureUrl":"theUrl","Visible":true,"RoleId":"a6a3edcd-00d9-427c-bf03-4ef0112ba16d","Password":"theSecretSauce"},"schema":{"required":["Id","CompanyAccountId","CompanyName","Username","Language","Created","FirstName","LastName"],"type":"object","properties":{"Id":{"type":"string"},"CompanyAccountId":{"type":"string"},"CompanyName":{"type":"string"},"Username":{"type":"string"},"Language":{"type":"string"},"TimeZone":{"type":"string"},"Memberships":{"type":"array","items":{"required":["UserId","GroupId","Role"],"type":"object","properties":{"UserId":{"type":"string"},"GroupId":{"type":"string"},"Role":{"type":"string"}}}},"Created":{"type":"string"},"State":{"type":"string"},"Type":{"type":"string"},"FirstName":{"maxLength":128,"type":"string"},"LastName":{"maxLength":128,"type":"string"},"Title":{"type":"string"},"PictureUrl":{"type":"string"},"Visible":{"type":"boolean"},"RoleId":{"type":"string"},"Password":{"type":"string"}}}}},"required":true},"x-annotation-dx-category":"users-accounts","summary":"update user by id","tags":["dx-category--users-accounts"]}},"/rest/external/account/users/{userId}/images/{name}":{"parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"},"description":"UUID identifier of user account."},{"name":"name","in":"path","required":true,"schema":{"type":"string"},"description":"Unique name of image."}],"get":{"responses":{"200":{"description":""},"304":{"description":""},"307":{"description":""},"404":{"description":""}},"description":"Returns image by user and image name.","operationId":"get-rest-external-account-users-userid-images-name","parameters":[{"name":"Accept","in":"header","required":true,"description":"The mime-type of the image","schema":{"type":"string"}},{"name":"height","in":"query","description":"The height of the image","schema":{"default":0,"type":"number"}},{"name":"width","in":"query","description":"The width of the image","schema":{"default":0,"type":"number"}}],"x-annotation-dx-category":"users-profile_images","summary":"get user image","tags":["dx-category--users-profile_images"]},"put":{"responses":{"201":{"description":""},"406":{"description":""},"502":{"description":""}},"description":"Save an image by user and image name","operationId":"put-rest-external-account-users-userid-images-name","parameters":[{"name":"Content-Type","in":"header","required":true,"description":"The mime-type of the image","schema":{"type":"string"}}],"x-annotation-dx-category":"users-profile_images","summary":"save user image","tags":["dx-category--users-profile_images"]},"delete":{"responses":{"204":{"description":""},"404":{"description":""}},"description":"Removes image that matches user and image name parameters.","operationId":"delete-rest-external-account-users-userid-images-name","x-annotation-dx-category":"users-profile_images","summary":"remove user image","tags":["dx-category--users-profile_images"]}},"/rest/external/account/users/{userId}/role":{"parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"},"description":"UUID identifier of user account."}],"put":{"responses":{"204":{"description":""},"403":{"description":""}},"description":"Create a membership for the given user, group and role deleting all the existing group's memberships.","operationId":"put-rest-external-account-users-userid-role","x-annotation-dx-category":"users-memberships","summary":"replace roles","tags":["dx-category--users-memberships"]}},"/rest/external/account/users/{userId}/state":{"parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"},"description":"UUID identifier of user account."}],"put":{"responses":{"204":{"description":""},"403":{"description":""}},"description":"Set the state of a user.","operationId":"put-rest-external-account-users-userid-state","requestBody":{"content":{"text/plain":{"example":"LOCKED","schema":{"type":"string"}}},"required":true},"x-annotation-dx-category":"users-memberships","summary":"set user state","tags":["dx-category--users-memberships"]}},"/rest/external/account/validations":{"get":{"responses":{"200":{"description":"","content":{"application/json":{"schema":{"example":{"numPages":"0","pageId":"0","itemsPerPage":"0","itemCount":"0","DynamicValidation":[]}}}}},"403":{"description":"If the feature is not available for this account."}},"description":"Gets a dynamic validation, by External (enterprise) ID. Only available when the relevant features have been enabled for the account.","operationId":"get-rest-external-account-validations","parameters":[{"name":"id","in":"query","required":true,"description":"External (enterprise) ID","schema":{"type":"string"}}],"x-annotation-dx-category":"accounts-validations","summary":"get validations","tags":["dx-category--accounts-validations"]},"put":{"responses":{"204":{"description":""},"403":{"description":"If the feature is not available for this account."}},"description":"Saves a dynamic validation, by External (enterprise) ID. Only available when the relevant features have been enabled for the account.","operationId":"put-rest-external-account-validations","parameters":[{"name":"id","in":"query","required":true,"description":"External (enterprise) ID","schema":{"type":"string"}}],"x-annotation-dx-category":"accounts-validations","summary":"update validations","tags":["dx-category--accounts-validations"]},"delete":{"responses":{"204":{"description":""},"403":{"description":"If the feature is not available for this account."}},"description":"Deletes a dynamic validation, by External (enterprise) ID. Only available when the relevant features have been enabled for the account.","operationId":"delete-rest-external-account-validations","parameters":[{"name":"id","in":"query","required":true,"description":"External (enterprise) ID","schema":{"type":"string"}}],"x-annotation-dx-category":"accounts-validations","summary":"remove validations","tags":["dx-category--accounts-validations"]}},"/rest/external/account/validations/historydata/{historicid}":{"parameters":[{"name":"historicid","in":"path","required":true,"schema":{"type":"string"},"description":"Identifier for historical data requested"}],"get":{"responses":{"200":{"description":"","content":{"application/json":{"schema":{"example":{"changes":"[B@68c2f2e3","created":"0","filename":"str","filesize":"0","id":"58a5b768-08be-48ec-a06d-6874fde8cf46"}}}}},"404":{"description":""}},"description":"Get dynamic validation changes file populated with content.","operationId":"get-rest-external-account-validations-historydata-historicid","x-annotation-dx-category":"accounts-validations","summary":"validation history","tags":["dx-category--accounts-validations"]}},"/rest/external/account/validations/list":{"get":{"responses":{"200":{"description":"","content":{"application/json":{"schema":{"example":{"numPages":"0","pageId":"0","itemsPerPage":"0","itemCount":"0","DynamicValidation":[]}}}}},"403":{"description":"If the feature is not available for this account."}},"description":"Returns all dynamic validations that have been created for the account. Only available when the relevant features have been enabled for the account.","operationId":"get-rest-external-account-validations-list","parameters":[{"name":"limit","in":"query","required":true,"description":"Page size per query","schema":{"default":25,"type":"integer"}},{"name":"page","in":"query","description":"Page number of the query","schema":{"default":0,"type":"integer"}}],"x-annotation-dx-category":"accounts-validations","summary":"list of validations","tags":["dx-category--accounts-validations"]}},"/rest/external/account/validations/log":{"get":{"responses":{"200":{"description":"","content":{"application/json":{"schema":{"example":{"numPages":"0","pageId":"0","itemsPerPage":"0","itemCount":"0","DynamicValidationEvents":[]}}}}},"404":{"description":"If no events are found."}},"description":"Returns dynamic validations event log for the account.","operationId":"get-rest-external-account-validations-log","parameters":[{"name":"after","in":"query","description":"List only events after this date.","schema":{"type":"string"}},{"name":"before","in":"query","description":"List only events before this date.","schema":{"type":"string"}},{"name":"limit","in":"query","required":true,"description":"Page size per query","schema":{"default":25,"type":"integer"}},{"name":"page","in":"query","description":"Page number of the query","schema":{"default":0,"type":"integer"}}],"x-annotation-dx-category":"accounts-validations","summary":"validation log","tags":["dx-category--accounts-validations"]}},"/rest/external/account/validations/usedvalues":{"get":{"responses":{"200":{"description":"","content":{"application/json":{"schema":{"example":{"numPages":"0","pageId":"0","itemsPerPage":"0","itemCount":"0","DynamicValidationEvents":[]}}}}},"404":{"description":"If no events are found."}},"description":"Returns dynamic validations event log for the account and validation/valueset.","operationId":"get-rest-external-account-validations-usedvalues","parameters":[{"name":"after","in":"query","description":"List only events after this date.","schema":{"type":"string"}},{"name":"before","in":"query","description":"List only events before this date.","schema":{"type":"string"}},{"name":"validationid","in":"query","required":true,"description":"Validation to pull events for.","schema":{"type":"string"}},{"name":"valuesetid","in":"query","required":true,"description":"Valueset to pull events for.","schema":{"type":"string"}}],"x-annotation-dx-category":"accounts-validations","summary":"validations used","tags":["dx-category--accounts-validations"]}},"/rest/external/account/validations/values":{"get":{"responses":{"200":{"description":"","content":{"application/json":{"schema":{"example":{"numPages":"0","pageId":"0","itemsPerPage":"0","itemCount":"0","DynamicValidationValues":[]}}}}},"404":{"description":"If no dynamic validations are found."}},"description":"List values currently registered for a given dynamic validation, by the id of the dynamic validation","operationId":"get-rest-external-account-validations-values","parameters":[{"name":"validationid","in":"query","required":true,"description":"Identifier of the dynamic validation","schema":{"type":"string"}},{"name":"fieldid","in":"query","description":"Identifier of the field in the dynamic validation","schema":{"type":"string"}},{"name":"search","in":"query","description":"Query string to search","schema":{"type":"string"}},{"name":"limit","in":"query","required":true,"description":"Page size per query","schema":{"default":25,"type":"integer"}},{"name":"page","in":"query","description":"Page number of the query","schema":{"default":0,"type":"integer"}}],"x-annotation-dx-category":"accounts-validations","summary":"validation values","tags":["dx-category--accounts-validations"]}},"/rest/external/account/validations/valuesets":{"get":{"responses":{"200":{"description":"","content":{"application/json":{"schema":{"example":{"numPages":"0","pageId":"0","itemsPerPage":"0","itemCount":"0","DynamicValidationValues":[]}}}}},"404":{"description":"If no dynamic validations are found."}},"description":"List value sets registered for a given dynamic validation, without retrieving actual values.","operationId":"get-rest-external-account-validations-valuesets","parameters":[{"name":"search","in":"query","description":"Query string to search","schema":{"type":"string"}},{"name":"limit","in":"query","required":true,"description":"Page size per query","schema":{"default":25,"type":"integer"}},{"name":"page","in":"query","description":"Page number of the query","schema":{"default":0,"type":"integer"}}],"x-annotation-dx-category":"accounts-validations","summary":"validation value sets","tags":["dx-category--accounts-validations"]}},"/rest/external/account/validations/{dynamicvalidationinternalid}/values":{"parameters":[{"name":"dynamicvalidationinternalid","in":"path","required":true,"schema":{"type":"string"},"description":"Identifier for dynamic validation"}],"get":{"responses":{"200":{"description":"","content":{"application/json":{"schema":{"example":{"numPages":"0","pageId":"0","itemsPerPage":"0","itemCount":"0","DynamicValidationValues":[]}}}}},"404":{"description":"If no dynamic validations are found."}},"description":"List all values currently registered for a given dynamic validation.","operationId":"get-rest-external-account-validations-dynamicvalidationinternalid-values","parameters":[{"name":"search","in":"query","description":"Query string to search","schema":{"type":"string"}},{"name":"limit","in":"query","required":true,"description":"page size per query","schema":{"default":25,"type":"integer"}},{"name":"page","in":"query","description":"page number of the query","schema":{"default":0,"type":"integer"}}],"x-annotation-dx-category":"accounts-validations","summary":"validation by id","tags":["dx-category--accounts-validations"]}},"/rest/external/account/{companyId}":{"parameters":[{"name":"companyId","in":"path","required":true,"schema":{"type":"string"},"description":"UUID identifier of company account."}],"get":{"responses":{"200":{"description":"The account was found and returned.","content":{"application/json":{"schema":{"example":{"CompanyName":"str","Country":"str","CompanyAccountId":"58a5b768-08be-48ec-a06d-6874fde8cf46","State":"CREATED","Url":"str","Description":"str","Identifiers":[],"AddressLines":[],"AcceptingDocumentProfiles":[],"Properties":[],"LookingFor":null,"Offering":null,"LogoURL":"str","BackgroundURL":"str","PublicProfile":"false","NonuserInvoicing":"false","AutoAcceptConnections":"false","Restricted":"false","NumConnections":"0","Industry":"ACADEMIA","OtherIndustry":"str","OwnershipType":"SOLE","Size":"ONE","Created":"2013-07-23T07:35:16.000Z","Modified":"2013-07-23T07:35:16.000Z","Phone":"str","Fax":"str","ShortUrl":"str","AccountType":"FREE","LastActive":"2013-07-23T07:35:16.000Z"}}}}},"204":{"description":"The account queried for did not exist. Empty response will be returned."}},"description":"Return account associated with companyId.","operationId":"get-rest-external-account-companyid","x-annotation-dx-category":"accounts-company","summary":"get company account","tags":["dx-category--accounts-company"]},"put":{"responses":{"204":{"description":""}},"description":"Update company information for the specified company account.","operationId":"put-rest-external-account-companyid","x-annotation-dx-category":"accounts-company","summary":"put company account","tags":["dx-category--accounts-company"]}},"/rest/external/account/{companyId}/users":{"parameters":[{"name":"companyId","in":"path","required":true,"schema":{"type":"string"},"description":"Company (tenant) UUID identifier of company to administer TSGLI prefixes for."}],"get":{"responses":{"200":{"description":"List of the found users","content":{"application/json":{"example":{"itemsPerPage":25,"itemCount":1,"numPages":1,"pageId":0,"UserAccounts":[{"Id":"e7eb4520-34f6-48c3-8982-024366454ba4","CompanyAccountId":"b289b086-c96f-4b09-a0e9-300631948601","CompanyName":"ELTEC Inc. jvuvlsxwdzlh","Username":"steve.armstrong@jvuvlsxwdzlh.eltec.test.ts.sv","Language":"en-us","TimeZone":"America/Los_Angeles","Memberships":[{"UserId":"e7eb4520-34f6-48c3-8982-024366454ba4","GroupId":"b289b086-c96f-4b09-a0e9-300631948601","Role":"a6a3edcd-00d9-427c-bf03-4ef0112ba16d"}],"Created":"2017-04-04T10:58:54.585+02:00","State":"ACTIVE","Type":"PERSON","FirstName":"Steve","LastName":"Armstrong","Visible":true}],"PrimaryUser":"e7eb4520-34f6-48c3-8982-024366454ba4"},"schema":{"title":"Tradeshift Public API 1.0 - UserAccountList","type":"object","properties":{"itemsPerPage":{"type":"number"},"itemCount":{"type":"number"},"numPages":{"type":"number"},"pageId":{"type":"number"},"UserAccounts":{"type":"array","items":{"type":"object","properties":{"Id":{"pattern":"^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$","description":"String representation of an Universally unique identifier (UUID), version 5. See RFC 4122","type":"string"},"CompanyAccountId":{"type":"string"},"CompanyName":{"type":"string"},"Username":{"type":"string"},"Language":{"type":"string"},"TimeZone":{"type":"string"},"Memberships":{"type":"array","items":{"type":"object","properties":{"UserId":{"pattern":"^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$","description":"String representation of an Universally unique identifier (UUID), version 5. See RFC 4122","type":"string"},"GroupId":{"pattern":"^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$","description":"String representation of an Universally unique identifier (UUID), version 5. See RFC 4122","type":"string"},"Role":{"pattern":"^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$","description":"String representation of an Universally unique identifier (UUID), version 5. See RFC 4122","type":"string"}},"required":["UserId","GroupId","Role"]}},"Created":{"type":"string"},"State":{"type":"string"},"Type":{"type":"string"},"FirstName":{"type":"string"},"LastName":{"type":"string"},"Visible":{"type":"boolean"}},"required":["Id","CompanyAccountId","CompanyName","Username","Language","TimeZone","Memberships","Created","State","Type","FirstName","LastName","Visible"]}},"PrimaryUser":{"pattern":"^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$","description":"String representation of an Universally unique identifier (UUID), version 5. See RFC 4122","type":"string"}},"required":["itemsPerPage","itemCount","numPages","pageId","UserAccounts","PrimaryUser"]}}}},"404":{"description":""}},"description":"Searches for or lists the users in the requested company account","operationId":"get-rest-external-account-companyid-users","parameters":[{"name":"q","in":"query","description":"User to search for (optional)","schema":{"type":"string"}},{"name":"id","in":"query","description":"list of id's for users to return, if any id' are supplied the q, page and limit params will be ignored","schema":{"type":"string"}},{"name":"includeMemberships","in":"query","description":"adds membership info to found users","schema":{"default":true,"type":"boolean"}},{"name":"findMembers","in":"query","description":"consider membership in finding users","schema":{"default":false,"type":"boolean"}},{"name":"state","in":"query","description":"state - list of user states to query by, if left out default will be ACTIVE and CREATED","schema":{"type":"string"}},{"name":"limit","in":"query","description":"pagination limit","schema":{"default":25,"type":"integer"}},{"name":"page","in":"query","description":"Page number of the query","schema":{"default":0,"type":"integer"}}],"x-annotation-dx-category":"users-accounts","summary":"find users","tags":["dx-category--users-accounts"]}},"/rest/external/companies/{companyAccountId}/identifiers":{"parameters":[{"name":"companyAccountId","in":"path","required":true,"schema":{"type":"string"},"description":"UUID identifier of company (tenant)."}],"get":{"responses":{"200":{"description":"Get the company identifiers for the requested tenant","content":{"application/json":{"example":[{"scheme":"DE:MWST","value":"812529243","label":"Umsatzsteuer-Identifikationsnummer","partyTaxScheme":false,"toBePrinted":false},{"scheme":"DK:CVR","value":"27659721","label":"","partyTaxScheme":false,"toBePrinted":false}],"schema":{"title":"Tradeshift Public API 1.0 - CompanyIdentifiers List","type":"array","additionalProperties":false,"items":{"type":"object","properties":{"scheme":{"title":"Identifier scheme","type":"string"},"value":{"title":"Identifier value","type":"string"},"label":{"type":"string"},"partyTaxScheme":{"type":"boolean"},"toBePrinted":{"type":"boolean"}},"required":["scheme","value","label","partyTaxScheme","toBePrinted"]}}}}}},"description":"Return identifiers associated with the account with this companyId.","operationId":"get-rest-external-companies-companyaccountid-identifiers","x-annotation-dx-category":"accounts-company","summary":"get company identifiers","tags":["dx-category--accounts-company"]},"put":{"responses":{"200":{"description":"The company identifiers were replaced"},"400":{"description":""}},"description":"Update company identifiers for the specified company account.","operationId":"put-rest-external-companies-companyaccountid-identifiers","requestBody":{"content":{"application/json":{"example":[{"scheme":"DE:MWST","value":"812529243","label":"Umsatzsteuer-Identifikationsnummer","partyTaxScheme":false,"toBePrinted":false},{"scheme":"DK:CVR","value":"27659721","label":"","partyTaxScheme":false,"toBePrinted":false}],"schema":{"title":"Tradeshift Public API 1.0 - CompanyIdentifiers List","type":"array","additionalProperties":false,"items":{"type":"object","properties":{"scheme":{"title":"Identifier scheme","type":"string"},"value":{"title":"Identifier value","type":"string"},"label":{"type":"string"},"partyTaxScheme":{"type":"boolean"},"toBePrinted":{"type":"boolean"}},"required":["scheme","value","label","partyTaxScheme","toBePrinted"]}}}},"required":true},"x-annotation-dx-category":"accounts-company","summary":"replace company identifiers","tags":["dx-category--accounts-company"]}},"/rest/external/documentfiles":{"get":{"responses":{"200":{"description":"Lists document files.","content":{"text/xml":{"example":"<DocumentFileList xmlns=\"http://tradeshift.com/api/public/1.0\" itemCount=\"2\" itemsPerPage=\"0\" numPages=\"0\" pageId=\"0\">\n  <Items>\n    <Id>51e40da6-0116-11e4-9055-14109fe0cc3d</Id>\n    <FileName>my_test_invoice</FileName>\n    <MimeType>application/xml</MimeType>\n    <ActorId>51e40da6-0116-11e4-9055-14109fe0cc3d</ActorId>\n    <GroupId>51e40da6-0116-11e4-9055-14109fe0cc3d</GroupId>\n    <Created>2013-07-23T07:35:16.000Z</Created>\n    <Modified>2013-07-23T07:35:16.000Z</Modified>\n    <Validated>2013-07-23T07:35:16.000Z</Validated>\n    <Directory>outbox</Directory>\n    <DocumentId>51e40da6-0116-11e4-9055-14109fe0cc3d</DocumentId>\n    <FileSize>1024</FileSize>\n    <ValidationErrorsSize>42</ValidationErrorsSize>\n  </Items>\n  <Items>\n    <Id>51e40da6-0116-11e4-9055-14109fe0cc3d</Id>\n    <FileName>my_test_invoice</FileName>\n    <MimeType>application/xml</MimeType>\n    <ActorId>51e40da6-0116-11e4-9055-14109fe0cc3d</ActorId>\n    <GroupId>51e40da6-0116-11e4-9055-14109fe0cc3d</GroupId>\n    <Created>2013-07-23T07:35:16.000Z</Created>\n    <Modified>2013-07-23T07:35:16.000Z</Modified>\n    <Validated>2013-07-23T07:35:16.000Z</Validated>\n    <Directory>outbox</Directory>\n    <DocumentId>51e40da6-0116-11e4-9055-14109fe0cc3d</DocumentId>\n    <FileSize>1024</FileSize>\n    <ValidationErrorsSize>42</ValidationErrorsSize>\n  </Items>\n</DocumentFileList>\n","schema":{"type":"object"}}}},"400":{"description":""},"401":{"description":""},"404":{"description":"","content":{"text/xml":{"schema":{"example":"<ns6:ResponseError xmlns:cec=\"urn:oasis:names:specification:ubl:schema:xsd:CommonExtensionComponents-2\" xmlns:cac=\"urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2\" xmlns:cbc=\"urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2\" xmlns:ns6=\"http://tradeshift.com/api/1.0\" xmlns:ns20=\"urn:oasis:names:specification:ubl:schema:xsd:OrderResponseSimple-2\" xmlns:ns8=\"urn:oasis:names:specification:ubl:schema:xsd:ApplicationResponse-2\" xmlns:ns7=\"http://tradeshift.com/api/2.0\" xmlns:ns13=\"urn:oasis:names:specification:ubl:schema:xsd:CreditNote-2\" xmlns:ns9=\"urn:oasis:names:specification:ubl:schema:xsd:OrderCancellation-2\" xmlns:ns12=\"urn:oasis:names:specification:ubl:schema:xsd:Quotation-2\" xmlns:ns11=\"urn:oasis:names:specification:ubl:schema:xsd:Invoice-2\" xmlns:ns22=\"urn:oasis:names:specification:ubl:schema:xsd:RequestForQuotation-2\" xmlns:ns10=\"urn:oasis:names:specification:ubl:schema:xsd:DespatchAdvice-2\" xmlns:ns21=\"urn:oasis:names:specification:ubl:schema:xsd:OrderResponse-2\" xmlns:ns17=\"urn:oasis:names:specification:ubl:schema:xsd:RemittanceAdvice-2\" xmlns:ns16=\"urn:oasis:names:specification:ubl:schema:xsd:Reminder-2\" xmlns:ns15=\"urn:oasis:names:specification:ubl:schema:xsd:OrderChange-2\" xmlns:ns14=\"urn:oasis:names:specification:ubl:schema:xsd:Order-2\" xmlns:ns19=\"urn:oasis:names:specification:ubl:schema:xsd:Catalogue-2\" xmlns:ts=\"http://tradeshift.com/api/public/1.0\" xmlns:ns18=\"urn:oasis:names:specification:ubl:schema:xsd:ReceiptAdvice-2\">\n    <ns6:ErrorCode>ResourceNotFound</ns6:ErrorCode>\n    <ns6:Message>Error&amp;#x3a; ResourceNotFound&amp;#x3a; The object did not exist</ns6:Message>\n    <ns6:RequestId>fff29544-8039-499f-91c5-b3c9e4e3d8b1</ns6:RequestId>\n</ns6:ResponseError>\n"}}}}},"description":"Get array of document file objects.","operationId":"get-rest-external-documentfiles","parameters":[{"name":"since","in":"query","description":"Limits documents to those which have changed since the given timestamp, formatted as a ISO 8601 XSD-timestamp.\n","schema":{"type":"string"}},{"name":"createdAfter","in":"query","description":"List only those files that were created after this date.","schema":{"type":"string"}},{"name":"createdBefore","in":"query","description":"List only those files that were created before this date.","schema":{"type":"string"}},{"name":"limit","in":"query","description":"Number of files to be shown at once as part of the first page or for every page.","schema":{"default":100,"type":"integer"}},{"name":"noPaging","in":"query","description":"To disable any paging and either return all files or just the first few files as\nspecified by the limit parameter. This parameter supersedes the page parameter.\n","schema":{"default":false,"type":"boolean"}},{"name":"recursive","in":"query","description":"Recursively include subdirectories, accepted as values 'true' or 'false'.","schema":{"default":false,"type":"boolean"}},{"name":"directory","in":"query","required":true,"description":"The absolute path of the directory to list files from.","schema":{"type":"string"}},{"name":"listDirectories","in":"query","description":"List directory definitions including '.' and subdirectories.","schema":{"default":false,"type":"boolean"}},{"name":"fileNames","in":"query","description":"List of file names to look for.","schema":{"type":"string"}},{"name":"acceptAs","in":"query","description":"Regex file name patterns to use to search for files.","schema":{"type":"string"}},{"name":"state","in":"query","description":"The state of the document files to show; 'new' for non dispatched, 'failed', for ones\nwith validation errors, 'dispatched' for dispatched documents, 'dispatch_failed' for\nones where dispatch has failed.\n","schema":{"type":"string"}},{"name":"requireDocumentId","in":"query","description":"List only those files that have an associated document id.","schema":{"default":false,"type":"boolean"}},{"name":"page","in":"query","description":"Page number of the query","schema":{"default":0,"type":"integer"}}],"x-annotation-dx-category":"documents-document_files","summary":"find document files","tags":["dx-category--documents-document_files"]}},"/rest/external/documentfiles/directory":{"put":{"responses":{"204":{"description":"The directory was created."},"304":{"description":"A directory with the same path already exits."},"400":{"description":"The directory path supplied was not valid."},"403":{"description":"A directory cannot be created with this path."}},"description":"Create a new empty directory.","operationId":"put-rest-external-documentfiles-directory","parameters":[{"name":"directory","in":"query","required":true,"description":"Full path of directory to create.","schema":{"type":"string"}}],"x-annotation-dx-category":"documents-document_files","summary":"create directory","tags":["dx-category--documents-document_files"]},"delete":{"responses":{"204":{"description":"The directory was deleted."},"304":{"description":"The directory is not modified and therefore not deleted."},"400":{"description":"The directory path supplied was not valid."},"403":{"description":"User cannot delete this directory or directories on this path."},"404":{"description":"The directory that is to be deleted was not found."}},"description":"Deletes the directory passed as parameter, this will fail if the directory is not empty.","operationId":"delete-rest-external-documentfiles-directory","parameters":[{"name":"directory","in":"query","required":true,"description":"Full path of directory to delete.","schema":{"type":"string"}}],"x-annotation-dx-category":"documents-document_files","summary":"remove directory","tags":["dx-category--documents-document_files"]}},"/rest/external/documentfiles/{filename}/dispatcher":{"parameters":[{"name":"filename","in":"path","required":true,"schema":{"type":"string"},"description":"Original name of the document file to be renamed"}],"post":{"responses":{"201":{"description":"Documentfile was dispatched. The Location response header will point to the created and dispatched document. The headers contain Last-Modified and Document-ID."},"204":{"description":"When validation was failed (validation errors can be retrieved using /errors resource)."},"404":{"description":"File not found."}},"description":"Dispatches a documentfile, converting it to UBL and sending it to the inferred receiver.","operationId":"post-rest-external-documentfiles-filename-dispatcher","parameters":[{"name":"filename","in":"query","required":true,"description":"The current filename of the documentfile to dispatch.","schema":{"type":"string"}},{"name":"rename","in":"query","description":"A new filename to rename the file to, as part of the dispatch.","schema":{"type":"string"}},{"name":"documentSource","in":"query","description":"Track the document's source - We save the source of the document in a new table called documentsource so that we know where the document was dispatched from.","schema":{"type":"string"}}],"x-annotation-dx-category":"documents-document_files","summary":"send file","tags":["dx-category--documents-document_files"]}},"/rest/external/documentfiles/{filename}/dispatcher/van/{vanId}":{"parameters":[{"name":"filename","in":"path","required":true,"schema":{"type":"string"},"description":"Original name of the document file to be renamed"},{"name":"vanId","in":"path","required":true,"schema":{"type":"string"},"description":"Identifier of VAN to dispatch documentfile"}],"post":{"responses":{"201":{"description":"Documentfile was dispatched. The Location response header will point to the created and dispatched document. The headers contain Last-Modified and Document-ID."},"204":{"description":"When validation was failed (validation errors can be retrieved using /errors resource)."},"404":{"description":"File not found."}},"description":"Dispatches a documentfile via a given VAN (Value-added-network), converting it to UBL and sending it to the inferred receiver.","operationId":"post-rest-external-documentfiles-filename-dispatcher-van-vanid","parameters":[{"name":"filename","in":"query","required":true,"description":"The current filename of the documentfile to dispatch.","schema":{"type":"string"}},{"name":"rename","in":"query","description":"A new filename to rename the file to, as part of the dispatch.","schema":{"type":"string"}}],"x-annotation-dx-category":"documents-document_files","summary":"send file via VAN","tags":["dx-category--documents-document_files"]}},"/rest/external/documentfiles/{filename}/errors":{"parameters":[{"name":"filename","in":"path","required":true,"schema":{"type":"string"},"description":"Original name of the document file to be renamed"}],"get":{"responses":{"200":{"description":"Errors were found for the given document."},"404":{"description":"No errors were found."}},"description":"Retrieves any validation errors that occurred when dispatching a document (must have POST to /dispatcher","operationId":"get-rest-external-documentfiles-filename-errors","x-annotation-dx-category":"documents-document_files","summary":"error by filename","tags":["dx-category--documents-document_files"]}},"/rest/external/documentfiles/{filename}/file":{"parameters":[{"name":"filename","in":"path","required":true,"schema":{"type":"string"},"description":"Original name of the document file to be renamed"}],"get":{"responses":{"200":{"description":""}},"description":"Retrieves file from a given directory.","operationId":"get-rest-external-documentfiles-filename-file","parameters":[{"name":"directory","in":"query","required":true,"description":"Directory where filename lives.","schema":{"type":"string"}}],"x-annotation-dx-category":"documents-document_files","summary":"find file","tags":["dx-category--documents-document_files"]},"delete":{"responses":{"204":{"description":"File deleted."},"400":{"description":"Supplied required parameters are blank or are invalid."},"404":{"description":"File to delete not found."}},"description":"Deletes a document file.","operationId":"delete-rest-external-documentfiles-filename-file","parameters":[{"name":"directory","in":"query","required":true,"description":"Directory where filename lives.","schema":{"type":"string"}}],"x-annotation-dx-category":"documents-document_files","summary":"delete file","tags":["dx-category--documents-document_files"]}},"/rest/external/documentfiles/{filename}/move":{"parameters":[{"name":"filename","in":"path","required":true,"schema":{"type":"string"},"description":"Original name of the document file to be renamed"}],"post":{"responses":{"204":{"description":"File moved to new directory."},"400":{"description":"Supplied required parameters are blank or are invalid."},"403":{"description":"Moving files from or to the supplied directories is not allowed."},"404":{"description":"File to be moved was not found."}},"description":"Moves a documentfile to a new folder.","operationId":"post-rest-external-documentfiles-filename-move","parameters":[{"name":"directory","in":"query","required":true,"description":"Directory where file currently lives.","schema":{"type":"string"}},{"name":"newdirectory","in":"query","required":true,"description":"Absolute path the directory to move the documentfile to. If the directory does not exist then the directory is created.","schema":{"type":"string"}},{"name":"replace","in":"query","description":"If true, replaces existing file in new directory.","schema":{"type":"boolean"}}],"x-annotation-dx-category":"documents-document_files","summary":"move file to folder","tags":["dx-category--documents-document_files"]}},"/rest/external/documentfiles/{filename}/rename/{newfilename}/file":{"parameters":[{"name":"filename","in":"path","required":true,"schema":{"type":"string"},"description":"Original name of the document file to be renamed"},{"name":"newfilename","in":"path","required":true,"schema":{"type":"string"},"description":"Desired name of the document file being renamed"}],"post":{"responses":{"204":{"description":"File was renamed."},"304":{"description":"file was not renamed because a file with the same name new name already exists."},"400":{"description":"Supplied required parameters are blank or are invalid."},"404":{"description":"File with the original name was not found or the directory does not exist."}},"description":"Renames the document file within the same directory.","operationId":"post-rest-external-documentfiles-filename-rename-newfilename-file","parameters":[{"name":"directory","in":"query","required":true,"description":"Directory where file lives.","schema":{"type":"string"}}],"x-annotation-dx-category":"documents-document_files","summary":"rename file","tags":["dx-category--documents-document_files"]}},"/rest/external/documents":{"get":{"responses":{"200":{"description":"The list of documents found with the same response mime-type as the one\nspecified in the Accept header. The returned result is ordered ascending or descending\n(defaults to descending) based on the selected \"ordering\" parameter (defaults to LastEdit).\n","content":{"application/json":{"example":{"itemsPerPage":25,"itemCount":14,"indexing":false,"numPages":1,"pageId":0,"Document":[{"DocumentId":"7f8959f0-3372-4a5e-b764-7fb42f1ff494","ID":"5","URI":"https://api.tradeshift.com/rest/external/documents/7f8959f0-3372-4a5e-b764-7fb42f1ff494","DocumentType":{"mimeType":"text/xml","documentProfileId":"nes.p5.order.ubl.2.1.dk","type":"order"},"State":"LOCKED","LastEdit":"2017-03-01T15:07:14.421+01:00","Actor":{"Created":"2017-02-27T11:29:19.564+01:00","FirstName":"","LastName":"","Email":"steve.armstrong@eltec.test.ts.sv"},"ReceiverCompanyName":"simon.owen@simons-catering.test.ts.sv","Tags":{"Tag":[]},"ItemInfos":[{"type":"document.description","value":"1"},{"type":"document.total","value":"1.25"},{"type":"document.currency","value":"DKK"},{"type":"document.issuedate","value":"2017-03-01"}],"LatestDispatch":{"DispatchId":"641a034b-e3fc-4218-9a0b-148ed269db51","ObjectId":"7f8959f0-3372-4a5e-b764-7fb42f1ff494","Created":"2017-03-01T15:16:15.657+01:00","SenderUserId":"0cb783f9-22c6-455f-84f1-83f8b3b5bdf5","DispatchState":"COMPLETED","LastStateChange":"2017-03-01T15:16:15.657+01:00","ReceiverConnectionId":"7593c621-d8e8-4b6f-b296-01310f71ff4e","DispatchChannel":"TRADESHIFT"},"SentReceivedTimestamp":"2017-03-01T15:15:40.478+01:00","ProcessState":"PENDING","ConversationStates":[{"Axis":"PROCESS","State":"PENDING","Timestamp":"2017-03-01T15:15:23.059+01:00"},{"Axis":"OTHERPART","State":"OTHER_PENDING","Timestamp":"2017-03-01T15:16:18.023+01:00"},{"Axis":"DELIVERY","State":"SENT","Timestamp":"2017-03-01T15:16:17.968+01:00"}],"UnifiedState":"DELIVERED","Deleted":false,"Properties":[{"scheme":"emailBody","value":""},{"scheme":"emailSubject","value":""}],"ConversationId":"5afdf6e8-862b-40bc-8bf2-86d6364df85c","SettlementIds":["641a034b-e3fc-4218-9a0b-148ed269db58","641a034b-e3fc-4218-9a0b-148ed269db59"]}]},"schema":{"type":"object","properties":{"itemsPerPage":{"type":"integer"},"itemCount":{"type":"integer"},"indexing":{"type":"boolean"},"numPages":{"type":"integer"},"pageId":{"type":"integer"},"Document":{"type":"array","items":{"type":"object","properties":{"DocumentId":{"pattern":"^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$","description":"String representation of an Universally unique identifier (UUID), version 5. See RFC 4122","type":"string"},"ID":{"type":"string"},"URI":{"type":"string"},"DocumentType":{"type":"object","properties":{"mimeType":{"type":"string"},"documentProfileId":{"type":"string"},"type":{"type":"string"}},"required":["mimeType","documentProfileId","type"]},"State":{"enum":["DELETION_AWAITING_APPROVAL","DELETION_REQUESTED","DELETION_IN_PROGRESS","DELETION_COMPLETE","DELETION_FAILED"],"type":"string"},"LastEdit":{"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}(\\.\\d{3})?(Z|(\\+|\\-)[0-9]{2}:[0-9]{2})","description":"ISO8601 formatted DateTime in UTC timezone, fx 2014-12-09T16:11:53Z with optionally .001 for milliseconds.","type":"string"},"Actor":{"type":"object","properties":{"Created":{"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}(\\.\\d{3})?(Z|(\\+|\\-)[0-9]{2}:[0-9]{2})","description":"ISO8601 formatted DateTime in UTC timezone, fx 2014-12-09T16:11:53Z with optionally .001 for milliseconds.","type":"string"},"Firstname":{"type":"string"},"Lastname":{"type":"string"},"Email":{"type":"string"}},"required":["Created","Firstname","Lastname","Email"]},"ReceiverCompanyName":{"type":"string"},"Tags":{"type":"object","properties":{"Tag":{"type":"array","items":{"type":"string"}}},"required":["Tag"]},"ItemInfos":{"type":"array","items":{"type":"object","properties":{"ItemInfo":{"type":"object","properties":{"type":{"type":"string"},"value":{"type":"string"}},"required":["type","value"]}},"required":["ItemInfo"]}},"LatestDispatch":{"type":"object","properties":{"DispatchId":{"pattern":"^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$","description":"String representation of an Universally unique identifier (UUID), version 5. See RFC 4122","type":"string"},"ObjectId":{"pattern":"^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$","description":"String representation of an Universally unique identifier (UUID), version 5. See RFC 4122","type":"string"},"Created":{"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}(\\.\\d{3})?(Z|(\\+|\\-)[0-9]{2}:[0-9]{2})","description":"ISO8601 formatted DateTime in UTC timezone, fx 2014-12-09T16:11:53Z with optionally .001 for milliseconds.","type":"string"},"SenderUserId":{"pattern":"^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$","description":"String representation of an Universally unique identifier (UUID), version 5. See RFC 4122","type":"string"},"DispatchState":{"enum":["ACCEPTED","PROCESSING","COMPLETED","FAILED_TRANSIENT","FAILED"],"type":"string"},"LastStateChange":{"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}(\\.\\d{3})?(Z|(\\+|\\-)[0-9]{2}:[0-9]{2})","description":"ISO8601 formatted DateTime in UTC timezone, fx 2014-12-09T16:11:53Z with optionally .001 for milliseconds.","type":"string"},"ReceiverConnectionId":{"pattern":"^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$","description":"String representation of an Universally unique identifier (UUID), version 5. See RFC 4122","type":"string"},"DispatchChannel":{"type":"string"}},"required":["DispatchId","ObjectId","Created","SenderUserId","DispatchState","LastStateChange","ReceiverConnectionId","DispatchChannel"]},"SentReceivedTimestamp":{"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}(\\.\\d{3})?(Z|(\\+|\\-)[0-9]{2}:[0-9]{2})","description":"ISO8601 formatted DateTime in UTC timezone, fx 2014-12-09T16:11:53Z with optionally .001 for milliseconds.","type":"string"},"ProcessState":{"type":"string"},"ConversationStates":{"type":"array","items":{"type":"object","properties":{"Axis":{"enum":["PROCESS","DELIVERY","PAYMENT","OTHERPART","REPLACEMENT","FINANCING","GLOBAL"],"type":"string"},"State":{"enum":["PROCESS_ANY","PAID","REJECTED","OVERDUE","ACCEPTED","PENDING","INVOICED","DISPUTED","AWAITING_ASSISTANCE","ASSISTANCE_PROVIDED","CANCELED","ASSISTANCE_CANCELED","PUNCHOUT_SENT","PUNCHOUT_EDIT","DELIVERY_ANY","FAILED","SENT","RECEIVED","PROCESSING","PENDING_CONNECTION","PAYMENT_ANY","PAYMENT_CREATED","PAYMENT_PROCESSING","PAYMENT_PENDING","PAYMENT_COMPLETED","PAYMENT_INCOMPLETE","PAYMENT_REVERSAL_INCOMPLETE","PAYMENT_EXPIRED","PAYMENT_ERROR","OTHER_ANY","OTHER_REJECTED","OTHER_CANCELED","OTHER_PENDING","OTHER_PAID","OTHER_ACCEPTED","OTHER_PAYMENT_COMPLETED","OTHER_INVOICED","OTHER_DISPUTED","OTHER_OVERDUE","REPLACEMENT_ANY","ORIGINAL","REPLACED","CORRECTED","FINANCING_ANY","FINANCING_OFFERED","FINANCING_OFFER_ACCEPTED_BY_SUPPLIER","FINANCING_FUNDED"],"type":"string"},"Timestamp":{"type":"string"}},"required":["Axis","State","Timestamp"]}},"UnifiedState":{"enum":["UNDETERMINED","IN_TRANSIT","PENDING_NOT_A_CONTACT","FAILED_DELIVERY","SENT","DELIVERED","ACCEPTED","OVERDUE","PAID_UNCONFIRMED","PAID_CONFIRMED","REJECTED_BY_SENDER","REJECTED_BY_RECEIVER","DISPUTED_BY_RECEIVER","REPLACED","CORRECTED","AWAITING_ASSISTANCE","ASSISTANCE_PROVIDED","CANCELED","ASSISTANCE_CANCELED","PUNCHOUT_SENT","PUNCHOUT_EDIT"],"type":"string"},"Deleted":{"type":"boolean"},"Properties":{"type":"array","items":{"type":"object","properties":{"scheme":{"type":"string"},"value":{"type":"string"}},"required":["scheme","value"]}},"ConversationId":{"type":"string"},"SettlementIds":{"type":"array","items":{"type":"string"}},"OrderTypeCode":{"type":"string"}},"required":["DocumentId","ID","URI","DocumentType","State","LastEdit","Actor","ReceiverCompanyName","Tags","ItemInfos","LatestDispatch","SentReceivedTimestamp","ProcessState","ConversationStates","UnifiedState","Deleted","Properties","ConversationId","SettlementIds","OrderTypeCode"]}}},"required":["itemsPerPage","itemCount","indexing","numPages","pageId","Document"]}}}},"400":{"description":"Bad request error"},"406":{"description":"The request uses Accept headers that the server is unable to fulfill"}},"description":"Gets a list of documents for the current user in XML or JSON format depending on the request Accept header. If multiple criteria are specified, they act as logical AND, unless specified otherwise. Drafts are not returned by default, unless stag=draft is specified. The return list of documents can be sorted by DueDate, LastEdit, Number, Amount, Date, Type.","operationId":"get-rest-external-documents","parameters":[{"name":"Accept","in":"header","required":true,"description":"Media types which are acceptable for the response. The possible values are text/xml and application/json.","schema":{"enum":["application/xml","application/json"],"type":"string"}},{"name":"tag","in":"query","description":"The tag the document must have. Can be used multiple times, which is interpreted as OR unless you set useAndOperatorForTags to true, then it will be AND.","schema":{"type":"string"}},{"name":"useAndOperatorForTags","in":"query","description":"It sets the tags based search to meet all criteria within the set of provided filters.","schema":{"default":false,"type":"boolean"}},{"name":"withouttag","in":"query","description":"The tag the document must not have. Can be used multiple times, which is interpreted as AND.","schema":{"type":"string"}},{"name":"propertykey","in":"query","description":"Must be specified together with propertyvalue. Each pair of propertykey and propertyvalue will be interpreted as AND by default unless you set useOrOperatorForProperties to true, then it will be OR.","schema":{"type":"array","items":{"type":"string"}}},{"name":"propertyvalue","in":"query","description":"See propertykey.","schema":{"type":"array","items":{"type":"string"}}},{"name":"useOrOperatorForProperties","in":"query","description":"It sets the property based search to meet at least one criteria within the set of provided filters.","schema":{"type":"boolean"}},{"name":"ascending","in":"query","description":"Whether the documents are ordered in ascending or descending order (for last edited date), defaults to descending.","schema":{"default":false,"type":"boolean"}},{"name":"type","in":"query","description":"The type of documents to include. Examples of document types 'invoice', 'creditnote'. Can be used multiple times, which is interpreted as OR.","schema":{"type":"string"}},{"name":"page","in":"query","description":"Result page to return. Each page has 'limit' number of results.","schema":{"default":0,"type":"integer"}},{"name":"limit","in":"query","description":"Maximum number of results to return. This is also the number of results on each skipped page. Capped to 100. If _onlyIndex is set to true, includesourcedocuments and populatePersonInfo to false value is capped to 10000.","schema":{"default":25,"type":"integer"}},{"name":"id","in":"query","description":"The documents to get DocumentInformation for (a Tradeshift UUID value)","schema":{"type":"string"}},{"name":"businessId","in":"query","description":"Limits documents to those with the given business id (invoice/credit note/purchase order number, e.g. 'ABC-123'). Note that business ids are not guaranteed to be unique for received documents, and may potentially be duplicated for different documents, even sent by the same supplier.","schema":{"type":"string"}},{"name":"sentBy","in":"query","description":"Sender company tenant id (a Tradeshift UUID value).","schema":{"type":"string"}},{"name":"sentTo","in":"query","description":"Receiver company tenant ids (a Tradeshift UUID value).","schema":{"type":"string"}},{"name":"stag","in":"query","description":"The system tag the document must have. Can be used multiple times, which is interpreted as OR. Known system include \"inbox\", \"outbox\", \"draft\", \"sales\", \"purchases\", \"deleted\".","schema":{"type":"string"}},{"name":"minissuedate","in":"query","description":"Earliest issue date of documents to match (according to UBL content).","schema":{"type":"string"}},{"name":"maxissuedate","in":"query","description":"Latest issue date of documents to match (according to UBL content).","schema":{"type":"string"}},{"name":"since","in":"query","description":"Limits documents to those which have changed since the given timestamp, formatted as a XSD-timestamp.","schema":{"type":"string"}},{"name":"createdBefore","in":"query","description":"Limits documents to those which were created before the given timestamp, formatted as a XSD-timestamp.","schema":{"type":"string"}},{"name":"createdAfter","in":"query","description":"Limits documents to those which were created after the given timestamp, formatted as a XSD-timestamp.","schema":{"type":"string"}},{"name":"processState","in":"query","description":"The _user_ state the document must have (see /metadata). Can be used multiple times, which is interpreted as OR. Note that this parameter is misnamed as it searches among all user states, not just process state.","schema":{"type":"string"}},{"name":"withoutProcessState","in":"query","description":"The process state the document must not have (see /metadata). Can be used multiple times, which is interpreted as AND. Note that this parameter is misnamed as it searches among all user states, not just process state.","schema":{"type":"string"}},{"name":"branchId","in":"query","description":"Document business ids. Can be used multiple times, which is interpreted as OR.","schema":{"type":"string"}},{"name":"totals","in":"query","description":"Whether to calculate the documents total amount or not.","schema":{"default":false,"type":"boolean"}},{"name":"state","in":"query","description":"Representing the state (e.g. SENT, DELIVERED, ACCEPTED) of the searched documents.\nCan be used multiple times, which is interpreted as OR.\nAccepted values are: UNDETERMINED, IN_TRANSIT, PENDING_NOT_A_CONTACT, FAILED_DELIVERY, SENT, DELIVERED, ACCEPTED, OVERDUE, PAID_UNCONFIRMED, PAID_CONFIRMED, REJECTED_BY_SENDER, REJECTED_BY_RECEIVER, DISPUTED_BY_RECEIVER, CLOSED, REPLACED, CORRECTED, IN_ENRICHMENT, IN_CLEARANCE, COLLECTED, AWAITING_ASSISTANCE, ASSISTANCE_PROVIDED, CANCELED, ASSISTANCE_CANCELED, PUNCHOUT_SENT, PUNCHOUT_EDIT.\n","schema":{"type":"string"}},{"name":"ordering","in":"query","description":"Field that indicates the criteria on which result will be ordered upon returning (e.g. DueDate, Amount, Date).","schema":{"default":"LastEdit","type":"string"}},{"name":"sales","in":"query","description":"This parameter decides whether the transaction type of selected documents should be sale or not.","schema":{"type":"boolean"}},{"name":"query","in":"query","description":"This parameter defines the specific text to be searched within the documents. It can include a single or\nmultiple words or phrases and documents that match the search condition will be returned.\n","schema":{"type":"string"}},{"name":"copyIndicator","in":"query","description":"Whether to search only copies of documents, originals or both.","schema":{"type":"boolean"}},{"name":"onlycopies","in":"query","description":"Whether to search only copies of documents.","schema":{"default":false,"type":"boolean"}},{"name":"onlydrafts","in":"query","description":"Whether to search only drafts.","schema":{"default":false,"type":"boolean"}},{"name":"onlydeleted","in":"query","description":"Whether to search only deleted documents.","schema":{"default":false,"type":"boolean"}},{"name":"includesourcedocuments","in":"query","description":"Whether to include the raw UBL document in the result. The UBL documents are stripped of attachments before they are returned.","schema":{"default":false,"type":"boolean"}},{"name":"waitForIndex","in":"query","description":"Whether to wait for pending documents to be indexed.","schema":{"default":true,"type":"boolean"}},{"name":"_onlyIndex","in":"query","description":"This flag allows document listing using exclusively the data from the index.","schema":{"default":false,"type":"boolean"}},{"name":"conversationId","in":"query","description":"The document conversation id used for getting its related documents.","schema":{"type":"string"}},{"name":"totalFrom","in":"query","description":"It represents the minimum value of the total range that can be used to filter documents.","schema":{"type":"number"}},{"name":"totalTo","in":"query","description":"It represents the maximum value of the total range that can be used to filter documents.","schema":{"type":"number"}},{"name":"currency","in":"query","description":"It represents the currency that can be used to filter documents only of that currency.","schema":{"type":"string"}},{"name":"requesterId","in":"query","description":"This field can be used to filter documents by the given list of requester Ids, only applicable for Purchase Request Documents. The requester is either the creating person or the document or if specified the \"on behalf of\" person\n","schema":{"type":"string"}},{"name":"invoiceTypeCode","in":"query","description":"This field represents the type of invoice for an invoice document. If the field is missing then we will have a normal/commercial invoice filter. For value 325 proforma invoice type will be searched and for value 386 we will have prepayment invoice.\n","schema":{"type":"array","items":{"type":"number"}}},{"name":"accountingSystemId","in":"query","description":"This field represents a custom value assigned by a client to a connection with a supplier.\n","schema":{"type":"string"}},{"name":"accountingCost","in":"query","description":"This field represents a custom value assigned by a client refering to a Cost Center.","schema":{"type":"string"}},{"name":"profileId","in":"query","description":"It represents the profile id of a given document.","schema":{"type":"string"}},{"name":"populatePersonInfo","in":"query","description":"Populate person info (actor and requester)","schema":{"default":true,"type":"boolean"}},{"name":"orderTypeCode","in":"query","description":"This field represents the type of order for an order document.","schema":{"type":"array","items":{"type":"number"}}},{"name":"orderChangeTypeCode","in":"query","description":"This field represents the type of order for an order change document.","schema":{"type":"array","items":{"type":"number"}}},{"name":"invoicingStatus","in":"query","description":"The invoicing status the document must have (order documents only). Can be used multiple times, which is interpreted as OR.\n","schema":{"type":"array","items":{"type":"string"}}}],"x-annotation-dx-category":"documents-document","summary":"find documents","tags":["dx-category--documents-document"]}},"/rest/external/documents/assignments/companies/{companyid}/autoassignments":{"parameters":[{"name":"companyid","in":"path","required":true,"schema":{"type":"string"},"description":"UUID identifier of the company account."}],"get":{"responses":{"200":{"description":"Paginated company auto assignments list.","content":{"application/json":{"example":{"numPages":10,"pageId":0,"itemsPerPage":40,"itemCount":200,"Items":[{"AutoAssignmentInfo":{"ExcludeUser":false,"Assignee":"21e6e782-f760-43d6-aa1c-d614ce966d8c","AutoAssignee":"cb11332d-1ec4-4ecf-95fe-ce94cca20a34","GroupId":"4f4a7eb9-7978-4860-a293-a254d15f3e29","Created":1565335439328,"DelegationType":"DELEGATING","CreatedBy":"21e6e782-f760-43d6-aa1c-d614ce966d8c","IsDelegation":true}}]},"schema":{"title":"Tradeshift Public API 1.0 - AutoAssignmentsCompleteInfoPagedList","required":["numPages","pageId","itemsPerPage","itemCount"],"type":"object","additionalProperties":false,"properties":{"numPages":{"type":"integer"},"pageId":{"type":"integer"},"itemsPerPage":{"type":"integer"},"itemCount":{"type":"integer"},"Items":{"type":"array","items":{"type":"object","properties":{"ExcludeUser":{"type":"boolean"},"Assignee":{"pattern":"^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$","description":"String representation of an Universally unique identifier (UUID), version 5. See RFC 4122","type":"string"},"AutoAssignee":{"pattern":"^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$","description":"String representation of an Universally unique identifier (UUID), version 5. See RFC 4122","type":"string"},"GroupId":{"pattern":"^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$","description":"String representation of an Universally unique identifier (UUID), version 5. See RFC 4122","type":"string"},"Created":{"type":"number"},"DelegationType":{"type":"string"},"CreatedBy":{"pattern":"^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$","description":"String representation of an Universally unique identifier (UUID), version 5. See RFC 4122","type":"string"},"IsDelegation":{"type":"boolean"}},"required":["ExcludeUser","Assignee","AutoAssignee","GroupId","Created","DelegationType","CreatedBy","IsDelegation"]}}}}}}}},"description":"Get paginated company auto assignments.","operationId":"get-rest-external-documents-assignments-companies-companyid-autoassignments","parameters":[{"name":"page","in":"query","description":"The current page of the result set to be fetched","schema":{"default":0,"type":"integer"}},{"name":"limit","in":"query","description":"The limit of the result set to return, also page size","schema":{"default":10,"type":"integer"}}],"x-annotation-dx-category":"documents-assignments","summary":"get company auto assignments","tags":["dx-category--documents-assignments"]}},"/rest/external/documents/assignments/companies/{companyid}/sparse":{"parameters":[{"name":"companyid","in":"path","required":true,"schema":{"type":"string"},"description":"UUID identifier of the company account."}],"get":{"responses":{"200":{"description":"Paginated company assignments list.","content":{"application/json":{"example":{"itemsPerPage":2,"itemCount":2,"numPages":1,"pageId":0,"Assignments":[{"DocumentId":"ac304edf-7fa7-49c3-8f1c-e82c037cf743","DocumentType":{"mimeType":"text/xml","documentProfileId":"tradeshift.assignment.1.0","type":"assignment"},"Tags":{"Tag":[]},"ItemInfos":[],"ConversationStates":[],"CopyIndicator":false,"Deleted":false,"SourceDocument":{"DocumentType":"AssignmentType","IssueDate":{"value":"2019-04-02T08:38:25.139Z"},"IssueTime":{"value":"2019-04-02T08:38:25.139Z"},"Assignee":[{"PartyIdentification":[{"ID":{"value":"a482b987-7c39-40e2-a526-03549d5fe668"}}],"Contact":{"ElectronicMail":{"value":"george.owen@simons-catering.test.ts.sv"}},"Person":[{"FirstName":{"value":"Simon"},"FamilyName":{"value":"Owen"}}]}],"Delegation":[],"Subject":{"UUID":{"value":"867dd235-4b16-5212-b1aa-292bce33765e"}},"Type":"APPROVAL","OriginalDocumentId":{"value":"867dd235-4b16-5212-b1aa-292bce33765e"}},"Properties":[]}]},"schema":{"title":"Tradeshift Public API 1.0 - AssignmentsPagedList","required":["itemsPerPage","itemCount","numPages","pageId","Assignments"],"type":"object","additionalProperties":false,"properties":{"itemsPerPage":{"type":"integer"},"itemCount":{"type":"integer"},"numPages":{"type":"integer"},"pageId":{"type":"integer"},"Assignments":{"type":"array","items":{"required":["DocumentType","Tags","ItemInfos","ConversationStates","CopyIndicator","Deleted","SourceDocument","Properties"],"type":"object","properties":{"DocumentType":{"required":["mimeType","documentProfileId","type"],"type":"object","properties":{"type":{"type":"string"},"mimeType":{"type":"string"},"documentProfileId":{"type":"string"}}},"Tags":{"required":["Tag"],"type":"object","properties":{"Tag":{"type":"array","items":{"type":"string"}}}},"ItemInfos":{"type":"array","items":{"type":"string"}},"ConversationStates":{"type":"array","items":{"type":"string"}},"CopyIndicator":{"type":"boolean"},"Deleted":{"type":"boolean"},"SourceDocument":{"required":["DocumentType","IssueTime","Assignee","Delegation","Subject","Type","OriginalDocumentId"],"type":"object","properties":{"DocumentType":{"type":"string"},"IssueTime":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}},"Assignee":{"type":"array","items":{"required":["PartyIdentification","Contact","Person"],"type":"object","properties":{"PartyIdentification":{"type":"array","items":{"required":["ID"],"type":"object","properties":{"ID":{"required":["value"],"type":"object","properties":{"value":{"type":"string"},"schemeURI":{"type":"string"}}}}}},"Contact":{"required":["ElectronicMail"],"type":"object","properties":{"ElectronicMail":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}}}},"Person":{"type":"array","items":{"type":"string"}}}}},"Delegation":{"type":"array","items":{"type":"string"}},"Subject":{"required":["UUID"],"type":"object","properties":{"UUID":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}}}},"Type":{"type":"string"},"OriginalDocumentId":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}}}},"Properties":{"type":"array","items":{"type":"string"}}}}}}}}}}},"description":"Get paginated company assignments, using lightweight sparse composition of response data.","operationId":"get-rest-external-documents-assignments-companies-companyid-sparse","parameters":[{"name":"page","in":"query","description":"The current page of the result set to be fetched","schema":{"default":0,"type":"integer"}},{"name":"limit","in":"query","description":"The limit of the result set to return, also page size","schema":{"default":10,"type":"integer"}}],"x-annotation-dx-category":"documents-assignments","summary":"get company assignments sparse","tags":["dx-category--documents-assignments"]}},"/rest/external/documents/assignments/groups/{groupId}/users/{userId}/autoassign":{"parameters":[{"name":"groupId","in":"path","required":true,"schema":{"type":"string"},"description":"UUID identifier of auto assignment security group."},{"name":"userId","in":"path","required":true,"schema":{"type":"string"},"description":"UUID identifier of the assignee user."}],"get":{"responses":{"200":{"description":"An autoassignment has been found, auto-assignee user details are returned","content":{"application/json":{"example":{"Id":"72585039-d82d-4f76-8531-bf52717d5957","CompanyAccountId":"8a4cdb4a-9ec5-4107-a55b-dedf3aa7b000","CompanyName":"ELTEC Inc. ddmrafryuyaw","Username":"steve.armstrong@ddmrafryuyaw.eltec.test.ts.sv","Language":"en-us","TimeZone":"America/Los_Angeles","Memberships":[{"UserId":"72585039-d82d-4f76-8531-bf52717d5957","GroupId":"8a4cdb4a-9ec5-4107-a55b-dedf3aa7b000","Role":"a6a3edcd-00d9-427c-bf03-4ef0112ba16d"}],"Created":"2019-10-31T12:08:59.303Z","State":"ACTIVE","Type":"PERSON","FirstName":"Steve","LastName":"Armstrong","Visible":true},"schema":{"required":["Id","CompanyAccountId","CompanyName","Username","Language","Created","FirstName","LastName"],"type":"object","properties":{"Id":{"type":"string"},"CompanyAccountId":{"type":"string"},"CompanyName":{"type":"string"},"Username":{"type":"string"},"Language":{"type":"string"},"TimeZone":{"type":"string"},"Created":{"type":"string"},"Memberships":{"type":"array","items":{"required":["UserId","GroupId","Role"],"type":"object","properties":{"UserId":{"type":"string"},"GroupId":{"type":"string"},"Role":{"type":"string"}}}},"State":{"type":"string"},"Type":{"type":"string"},"FirstName":{"type":"string"},"LastName":{"type":"string"},"Title":{"type":"string"},"Visible":{"type":"boolean"}}}}}},"401":{"description":"Requesting user is not a member of the specified security group"}},"description":"Endpoint used to fetch the auto-assignee for a specific user and a specific group id. The requesting user has to be a member of the inquired security group id.\n","operationId":"get-rest-external-documents-assignments-groups-groupid-users-userid-autoassign","x-annotation-dx-category":"documents-assignments","summary":"get user auto-assignment in specific group","tags":["dx-category--documents-assignments"]}},"/rest/external/documents/assignments/users/{userId}/autoassign":{"parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"},"description":"UUID identifier of user account."}],"get":{"responses":{"200":{"description":"Returns the assignment document","content":{"application/json":{"example":{"DocumentType":"AssignmentType","UBLVersionID":{"value":"2.0"},"CustomizationID":{"value":"urn:tradeshift.com:ubl-2.0-customizations:2010-06"},"ID":{"value":"18744cac-cab0-4508-950b-bb4983dbcfa6"},"IssueDate":{"value":"2016-11-29+01:00"},"IssueTime":{"value":"11:21:21.011+01:00"},"Assigner":{"PartyIdentification":[{"ID":{"value":"e6e0b52f-ce77-4e0c-b7a1-d3c63f2857fb","schemeURI":"http://tradeshift.com/api/1.0/userId"}}],"Contact":{"ElectronicMail":{"value":"lma+buyer@tradeshift.com"}},"Person":{"FirstName":{"value":"Marie"},"FamilyName":{"value":"Carter"}}},"Assignee":[{"PartyIdentification":[{"ID":{"value":"2dc74f5e-4ac7-45bf-8b6b-67dcf9ae2920","schemeURI":"http://tradeshift.com/api/1.0/userId"}}],"Contact":{"ElectronicMail":{"value":"lma+hhr@tradeshift.com"}},"Person":{"FirstName":{"value":"Pete"},"FamilyName":{"value":"Johnson"},"JobTitle":{"value":"Head of HR"}}}],"Delegation":[],"Subject":{"UUID":{"value":"2849ac7c-36c9-4b20-8ca1-dc29a4a6e2b8"},"DocumentType":{"value":"USER"}},"Context":{"EmbeddedDocumentBinaryObject":{"value":"ewogICJjb21tZW50IiA6IG51bGwsCiAgInVzZXIiIDogewogICAgIk1lbWJlcnNoaXBzIiA6IFsgewogICAgICAiUm9sZSIgOiAiZmU4ODhmYmItMTcyZi00NjdjLWI5YWQtZWZlMDcyMGZlY2Y5IiwKICAgICAgIlVzZXJJZCIgOiAiMjg0OWFjN2MtMzZjOS00YjIwLThjYTEtZGMyOWE0YTZlMmI4IiwKICAgICAgIkdyb3VwSWQiIDogImJlNjg2NWVlLWRhYmQtNDcxNi05YzlkLTg5YjZkZDk1NTMyYiIKICAgIH0gXSwKICAgICJDb21wYW55QWNjb3VudElkIiA6ICJiZTY4NjVlZS1kYWJkLTQ3MTYtOWM5ZC04OWI2ZGQ5NTUzMmIiLAogICAgIkZpcnN0TmFtZSIgOiAiTHlubiIsCiAgICAiVGl0bGUiIDogIkhSIE1hbmFnZXIgKE9uIEJlaGFsZiBvZikiLAogICAgIkNyZWF0ZWQiIDogIjIwMTYtMTAtMTlUMTU6NTU6MTYuMDQ3KzAyOjAwIiwKICAgICJDb21wYW55TmFtZSIgOiAiQnV5ZXIgbG1hK2J1eWVyQHRyYWRlc2hpZnQuY29tIiwKICAgICJUaW1lWm9uZSIgOiAiRXVyb3BlL0NvcGVuaGFnZW4iLAogICAgIlR5cGUiIDogIlBFUlNPTiIsCiAgICAiTGFuZ3VhZ2UiIDogImVuLXVzIiwKICAgICJVc2VybmFtZSIgOiAibG1hK29ib0B0cmFkZXNoaWZ0LmNvbSIsCiAgICAiU3RhdGUiIDogIkxPQ0tFRCIsCiAgICAiVmlzaWJsZSIgOiB0cnVlLAogICAgIklkIiA6ICIyODQ5YWM3Yy0zNmM5LTRiMjAtOGNhMS1kYzI5YTRhNmUyYjgiLAogICAgIkxhc3ROYW1lIiA6ICJLZW5uZWR5IgogIH0KfQ==","format":"app:Tradeshift.UserManagement.AssignmentEntryService","mimeCode":"text/plain"}},"ReminderDate":{"value":"2016-12-01+01:00"},"ReminderTime":{"value":"11:21:21.014+01:00"},"EscalationDate":{"value":"2016-12-06+01:00"},"EscalationTime":{"value":"11:21:21.014+01:00"},"VendorId":"tradeshift","Type":"REASSIGN"},"schema":{"required":["DocumentType","UBLVersionID","CustomizationID","ID","IssueDate","IssueTime","Assigner","Assignee","Delegation","Subject","Context","ReminderDate","ReminderTime","EscalationDate","EscalationTime","VendorId","Type"],"type":"object","properties":{"DocumentType":{"type":"string"},"UBLVersionID":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}},"CustomizationID":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}},"ID":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}},"IssueDate":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}},"IssueTime":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}},"Assigner":{"required":["PartyIdentification","Contact","Person"],"type":"object","properties":{"PartyIdentification":{"type":"array","items":{"required":["ID"],"type":"object","properties":{"ID":{"required":["value","schemeURI"],"type":"object","properties":{"value":{"type":"string"},"schemeURI":{"type":"string"}}}}}},"Contact":{"required":["ElectronicMail"],"type":"object","properties":{"ElectronicMail":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}}}},"Person":{"required":["FirstName","FamilyName"],"type":"object","properties":{"FirstName":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}},"FamilyName":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}}}}}},"Assignee":{"type":"array","items":{"required":["PartyIdentification","Contact","Person"],"type":"object","properties":{"PartyIdentification":{"type":"array","items":{"required":["ID"],"type":"object","properties":{"ID":{"required":["value","schemeURI"],"type":"object","properties":{"value":{"type":"string"},"schemeURI":{"type":"string"}}}}}},"Contact":{"required":["ElectronicMail"],"type":"object","properties":{"ElectronicMail":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}}}},"Person":{"required":["FirstName","FamilyName","JobTitle"],"type":"object","properties":{"FirstName":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}},"FamilyName":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}},"JobTitle":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}}}}}}},"Delegation":{"type":"array","items":{"type":"string"}},"Subject":{"required":["UUID","DocumentType"],"type":"object","properties":{"UUID":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}},"DocumentType":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}}}},"Context":{"required":["EmbeddedDocumentBinaryObject"],"type":"object","properties":{"EmbeddedDocumentBinaryObject":{"required":["value","format","mimeCode"],"type":"object","properties":{"value":{"type":"string"},"format":{"type":"string"},"mimeCode":{"type":"string"}}}}},"ReminderDate":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}},"ReminderTime":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}},"EscalationDate":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}},"EscalationTime":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}}},"VendorId":{"type":"string"},"Type":{"type":"string"}}}}}},"400":{"description":"Bad request error."}},"description":"Returns the assignment document.","operationId":"get-rest-external-documents-assignments-users-userid-autoassign","parameters":[{"name":"subjectType","in":"query","description":"The subject of the Assignment [DOCUMENT, USER, COMPANY, CONNECTION, NETWORK_REQUEST]","schema":{"default":"DOCUMENT","type":"string"}}],"x-annotation-dx-category":"documents-assignments","summary":"get user assignments","tags":["dx-category--documents-assignments"]}},"/rest/external/documents/assignments/users/{userId}/autoassign/detail":{"parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"},"description":"User UUID identifier"}],"get":{"responses":{"200":{"description":"","content":{"text/xml":{"example":"<AutoAssignmentDetail xmlns=\"http://tradeshift.com/api/public/1.0\">\n    <User>\n        <Id>0daab548-3990-41ed-b0f4-eb197e693df1</Id>\n        <CompanyAccountId>093aafb9-2620-4655-885e-888f2a65c59c</CompanyAccountId>\n        <CompanyName>Tradeshift</CompanyName>\n        <Username>steve.armstrong@example.org</Username>\n        <Language>en-us</Language>\n        <TimeZone>GMT</TimeZone>\n        <Memberships>\n            <Membership>\n                <UserId>0daab548-3990-41ed-b0f4-eb197e693df1</UserId>\n                <GroupId>093aafb9-2620-4655-885e-888f2a65c59c</GroupId>\n                <Role>a6a3edcd-00d9-427c-bf03-4ef0112ba16d</Role>\n            </Membership>\n        </Memberships>\n        <Created>2016-06-07T14:29:05.601+02:00</Created>\n        <State>ACTIVE</State>\n        <Type>PERSON</Type>\n        <FirstName>Steve</FirstName>\n        <LastName>Armstrong</LastName>\n        <Title>boss</Title>\n        <Visible>true</Visible>\n    </User>\n    <AutoAssignee>\n        <ExcludeUser>false</ExcludeUser>\n        <UserID>0daab548-3990-41ed-b0f4-eb197e693df1</UserID>\n        <Created/>\n        <IsDelegation>true</IsDelegation>\n        <DelegationType>DELEGATING</DelegationType>\n    </AutoAssignee>\n</AutoAssignmentDetail>\n","schema":{"ty
[...]
